# Uses of Interface
org.eclipse.jface.util.IPropertyChangeListener

Packages that use IPropertyChangeListener
Package
Description
org.eclipse.compare
Provides support for performing structural and textual compare operations on arbitrary data and displaying the results.
org.eclipse.compare.contentmergeviewer
Support for compare and merge viewers which show the content side-by-side.
org.eclipse.debug.ui
Provides a generic debugger user interface that clients may customize via standard workbench extension points.
org.eclipse.debug.ui.memory
Provides classes and interfaces to render memory blocks in the memory view.
org.eclipse.jface.action
Provides support for shared UI resources such as menus, tool bars, and status lines.
org.eclipse.jface.bindings.keys
Provides support for bindings between commands and keys.
org.eclipse.jface.preference
Provides a framework for preferences.
org.eclipse.jface.resource
Provides support for managing resources such as SWT fonts and images.
org.eclipse.jface.text.hyperlink
Provides support for detecting and displaying hyperlinks in `ISourceViewer`s.
org.eclipse.jface.viewers
Provides a framework for viewers, which are model-based content adapters for SWT widgets.
org.eclipse.ltk.ui.refactoring.model
Application programming interface to provide model integration for refactoring histories.
org.eclipse.team.ui
Provides basic support for managing Team providers.
org.eclipse.team.ui.history
Application programming interfaces for working with history.
org.eclipse.team.ui.mapping
Application programming interfaces for working with resource mappings.
org.eclipse.team.ui.synchronize
Contains the team synchronization presentation framework and support for the Synchronize View.
org.eclipse.ui
Application programming interfaces for interaction with and extension of the Eclipse Platform User Interface.
org.eclipse.ui.actions
Classes for actions and operations used in a workbench window, page, or part in the Eclipse Platform User Interface.
org.eclipse.ui.console
Application programming interfaces for interaction with the Eclipse console.
org.eclipse.ui.editors.text
Provides a standard text editor and concrete document providers based `IFileBuffer` and others directly handling `IFile` and `IStorage` as editor input.
org.eclipse.ui.navigator
Provides the Common Navigator framework.
org.eclipse.ui.part
Classes for the creation of workbench parts that integrate with the Eclipse Platform User Interface.
org.eclipse.ui.preferences
Classes for using the preferences support in org.eclipse.core.runtime.preferences
org.eclipse.ui.services
Classes for service support.
org.eclipse.ui.texteditor
Provides a framework for text editors obeying to the desktop rules.
org.eclipse.ui.themes
Application programming interfaces for interaction with and extension of the Eclipse Platform User Interface.
org.eclipse.ui.views.framelist
Provides support for a web-browser style of navigation within a view by maintaining a list of frames.

## Uses of IPropertyChangeListener in org.eclipse.compare

Methods in org.eclipse.compare with parameters of type IPropertyChangeListener
Modifier and Type
Method
Description
`void`
CompareConfiguration.`addPropertyChangeListener(IPropertyChangeListener listener)`
`void`
CompareEditorInput.`addPropertyChangeListener(IPropertyChangeListener listener)`
`void`
IPropertyChangeNotifier.`addPropertyChangeListener(IPropertyChangeListener listener)`
Adds a listener for property changes to this notifier.
`void`
CompareConfiguration.`removePropertyChangeListener(IPropertyChangeListener listener)`
`void`
CompareEditorInput.`removePropertyChangeListener(IPropertyChangeListener listener)`
`void`
IPropertyChangeNotifier.`removePropertyChangeListener(IPropertyChangeListener listener)`
Removes the given content change listener from this notifier.

## Uses of IPropertyChangeListener in org.eclipse.compare.contentmergeviewer

Methods in org.eclipse.compare.contentmergeviewer with parameters of type IPropertyChangeListener
Modifier and Type
Method
Description
`void`
ContentMergeViewer.`addPropertyChangeListener(IPropertyChangeListener listener)`
`void`
ContentMergeViewer.`removePropertyChangeListener(IPropertyChangeListener listener)`

## Uses of IPropertyChangeListener in org.eclipse.debug.ui

Methods in org.eclipse.debug.ui with parameters of type IPropertyChangeListener
Modifier and Type
Method
Description
`void`
AbstractBreakpointOrganizerDelegate.`addPropertyChangeListener(IPropertyChangeListener listener)`
`void`
IBreakpointOrganizerDelegate.`addPropertyChangeListener(IPropertyChangeListener listener)`
Adds the specified listener.
`void`
AbstractBreakpointOrganizerDelegate.`removePropertyChangeListener(IPropertyChangeListener listener)`
`void`
IBreakpointOrganizerDelegate.`removePropertyChangeListener(IPropertyChangeListener listener)`
Removes the specified listener.

## Uses of IPropertyChangeListener in org.eclipse.debug.ui.memory

Classes in org.eclipse.debug.ui.memory that implement IPropertyChangeListener
Modifier and Type
Class
Description
`class`
`AbstractTableRendering`
Abstract implementation of a table rendering.
`class`
`AbstractTextRendering`
Abstract implementation of a rendering that translates memory into text, displayed in a table.
Methods in org.eclipse.debug.ui.memory with parameters of type IPropertyChangeListener
Modifier and Type
Method
Description
`void`
AbstractMemoryRendering.`addPropertyChangeListener(IPropertyChangeListener listener)`
`void`
IMemoryRendering.`addPropertyChangeListener(IPropertyChangeListener listener)`
Adds a listener for property changes to this rendering.
`void`
IMemoryRenderingSynchronizationService.`addPropertyChangeListener(IPropertyChangeListener listener, String[] properties)`
Adds a listener for property changes notification for the specified properties.
`void`
AbstractMemoryRendering.`removePropertyChangeListener(IPropertyChangeListener listener)`
`void`
IMemoryRendering.`removePropertyChangeListener(IPropertyChangeListener listener)`
Removes the given property change listener from this rendering.
`void`
IMemoryRenderingSynchronizationService.`removePropertyChangeListener(IPropertyChangeListener listener)`
Removes the given listener for property change notification.

## Uses of IPropertyChangeListener in org.eclipse.jface.action

Methods in org.eclipse.jface.action with parameters of type IPropertyChangeListener
Modifier and Type
Method
Description
`void`
AbstractAction.`addPropertyChangeListener(IPropertyChangeListener listener)`
`final void`
ExternalActionManager.CommandCallback.`addPropertyChangeListener(String commandId, IPropertyChangeListener listener)`
`void`
ExternalActionManager.ICallback.`addPropertyChangeListener(String identifier, IPropertyChangeListener listener)`
Adds a listener to the object referenced by `identifier`.
`void`
IAction.`addPropertyChangeListener(IPropertyChangeListener listener)`
Adds a property change listener to this action.
`void`
AbstractAction.`removePropertyChangeListener(IPropertyChangeListener listener)`
`final void`
ExternalActionManager.CommandCallback.`removePropertyChangeListener(String commandId, IPropertyChangeListener listener)`
`void`
ExternalActionManager.ICallback.`removePropertyChangeListener(String identifier, IPropertyChangeListener listener)`
Removes a listener from the object referenced by `identifier`.
`void`
IAction.`removePropertyChangeListener(IPropertyChangeListener listener)`
Removes the given listener from this action.

## Uses of IPropertyChangeListener in org.eclipse.jface.bindings.keys

Methods in org.eclipse.jface.bindings.keys with parameters of type IPropertyChangeListener
Modifier and Type
Method
Description
`final void`
KeySequenceText.`addPropertyChangeListener(IPropertyChangeListener listener)`
Adds a property change listener to this key sequence widget.
`final void`
KeySequenceText.`removePropertyChangeListener(IPropertyChangeListener listener)`
Removes the given listener from this key sequence widget.

## Uses of IPropertyChangeListener in org.eclipse.jface.preference

Classes in org.eclipse.jface.preference that implement IPropertyChangeListener
Modifier and Type
Class
Description
`class`
`FieldEditorPreferencePage`
A special abstract preference page to host field editors.
Methods in org.eclipse.jface.preference with parameters of type IPropertyChangeListener
Modifier and Type
Method
Description
`void`
ColorSelector.`addListener(IPropertyChangeListener listener)`
Adds a property change listener to this `ColorSelector`.
`void`
IPreferenceStore.`addPropertyChangeListener(IPropertyChangeListener listener)`
Adds a property change listener to this preference store.
`void`
PreferenceStore.`addPropertyChangeListener(IPropertyChangeListener listener)`
`void`
ColorSelector.`removeListener(IPropertyChangeListener listener)`
Removes the given listener from this `ColorSelector`.
`void`
IPreferenceStore.`removePropertyChangeListener(IPropertyChangeListener listener)`
Removes the given listener from this preference store.
`void`
PreferenceStore.`removePropertyChangeListener(IPropertyChangeListener listener)`
`void`
FieldEditor.`setPropertyChangeListener(IPropertyChangeListener listener)`
Sets or removes the property change listener for this field editor.

## Uses of IPropertyChangeListener in org.eclipse.jface.resource

Methods in org.eclipse.jface.resource with parameters of type IPropertyChangeListener
Modifier and Type
Method
Description
`void`
ResourceRegistry.`addListener(IPropertyChangeListener listener)`
Adds a property change listener to this registry.
`void`
ResourceRegistry.`removeListener(IPropertyChangeListener listener)`
Removes the given listener from this registry.

## Uses of IPropertyChangeListener in org.eclipse.jface.text.hyperlink

Classes in org.eclipse.jface.text.hyperlink that implement IPropertyChangeListener
Modifier and Type
Class
Description
`class`
`DefaultHyperlinkPresenter`
The default hyperlink presenter underlines the link and colors the line and the text with the given color.
`class`
`MultipleHyperlinkPresenter`
A hyperlink presenter capable of showing multiple hyperlinks in a hover.

## Uses of IPropertyChangeListener in org.eclipse.jface.viewers

Methods in org.eclipse.jface.viewers with parameters of type IPropertyChangeListener
Modifier and Type
Method
Description
`void`
CellEditor.`addPropertyChangeListener(IPropertyChangeListener listener)`
Adds a property change listener to this cell editor.
`void`
CellEditor.`removePropertyChangeListener(IPropertyChangeListener listener)`
Removes the given property change listener from this cell editor.

## Uses of IPropertyChangeListener in org.eclipse.ltk.ui.refactoring.model

Classes in org.eclipse.ltk.ui.refactoring.model that implement IPropertyChangeListener
Modifier and Type
Class
Description
`class`
`AbstractSynchronizationContentProvider`
Partial implementation of a refactoring-aware synchronization content provider.

## Uses of IPropertyChangeListener in org.eclipse.team.ui

Methods in org.eclipse.team.ui with parameters of type IPropertyChangeListener
Modifier and Type
Method
Description
`static void`
TeamUI.`addPropertyChangeListener(IPropertyChangeListener listener)`
Register for changes made to Team properties.
`static void`
TeamUI.`removePropertyChangeListener(IPropertyChangeListener listener)`
Remove the listener from Team property change listener list.

## Uses of IPropertyChangeListener in org.eclipse.team.ui.history

Methods in org.eclipse.team.ui.history with parameters of type IPropertyChangeListener
Modifier and Type
Method
Description
`void`
HistoryPage.`addPropertyChangeListener(IPropertyChangeListener listener)`
`void`
IHistoryPage.`addPropertyChangeListener(IPropertyChangeListener listener)`
Adds a listener for changes to properties of this page.
`void`
HistoryPage.`removePropertyChangeListener(IPropertyChangeListener listener)`
`void`
IHistoryPage.`removePropertyChangeListener(IPropertyChangeListener listener)`
Removes the given property listener from this page.

## Uses of IPropertyChangeListener in org.eclipse.team.ui.mapping

Classes in org.eclipse.team.ui.mapping that implement IPropertyChangeListener
Modifier and Type
Class
Description
`class`
`SynchronizationContentProvider`
Abstract team aware content provider that delegates to another content provider.
Methods in org.eclipse.team.ui.mapping with parameters of type IPropertyChangeListener
Modifier and Type
Method
Description
`void`
ITeamContentProviderManager.`addPropertyChangeListener(IPropertyChangeListener listener)`
Add a property change listener to the manager.
`void`
ITeamContentProviderManager.`removePropertyChangeListener(IPropertyChangeListener listener)`
Remove a property change listener from the manager.

## Uses of IPropertyChangeListener in org.eclipse.team.ui.synchronize

Classes in org.eclipse.team.ui.synchronize that implement IPropertyChangeListener
Modifier and Type
Class
Description
`class`
`SubscriberParticipant`
A synchronize participant that displays synchronization information for local resources that are managed via a `Subscriber`.
`class`
`WorkingSetScope`
A synchronize scope whose roots are defined by a working set.
Methods in org.eclipse.team.ui.synchronize with parameters of type IPropertyChangeListener
Modifier and Type
Method
Description
`void`
AbstractSynchronizeParticipant.`addPropertyChangeListener(IPropertyChangeListener listener)`
`void`
AbstractSynchronizeScope.`addPropertyChangeListener(IPropertyChangeListener listener)`
`void`
ISynchronizeModelElement.`addPropertyChangeListener(IPropertyChangeListener listener)`
Adds a listener for changes to properties of this synchronize element.
`void`
ISynchronizePageConfiguration.`addPropertyChangeListener(IPropertyChangeListener listener)`
Add a property change listener to the configuration.
`void`
ISynchronizeParticipant.`addPropertyChangeListener(IPropertyChangeListener listener)`
Adds a listener for changes to properties of this synchronize participant.
`void`
ISynchronizeScope.`addPropertyChangeListener(IPropertyChangeListener listener)`
Add a property change listener that will get invoked when a property of the receiver changes.
`void`
AbstractSynchronizeParticipant.`removePropertyChangeListener(IPropertyChangeListener listener)`
`void`
AbstractSynchronizeScope.`removePropertyChangeListener(IPropertyChangeListener listener)`
`void`
ISynchronizeModelElement.`removePropertyChangeListener(IPropertyChangeListener listener)`
Removes the given property change listener from this model element.
`void`
ISynchronizePageConfiguration.`removePropertyChangeListener(IPropertyChangeListener listener)`
Remove the registered change listener.
`void`
ISynchronizeParticipant.`removePropertyChangeListener(IPropertyChangeListener listener)`
Removes the given property listener from this synchronize participant.
`void`
ISynchronizeScope.`removePropertyChangeListener(IPropertyChangeListener listener)`
Remove a property change listener.

## Uses of IPropertyChangeListener in org.eclipse.ui

Methods in org.eclipse.ui with parameters of type IPropertyChangeListener
Modifier and Type
Method
Description
`void`
IWorkbenchPart3.`addPartPropertyListener(IPropertyChangeListener listener)`
Add a listener for changes in the arbitrary properties set.
`void`
IWorkbenchPartReference.`addPartPropertyListener(IPropertyChangeListener listener)`
Add a listener for changes in the arbitrary properties set.
`void`
IWorkbenchPage.`addPropertyChangeListener(IPropertyChangeListener listener)`
Deprecated.
client should register listeners on the instance of `IWorkingSetManager` returned by `IWorkbench.getWorkingSetManager()` instead.
`void`
IWorkingSetManager.`addPropertyChangeListener(IPropertyChangeListener listener)`
Adds a property change listener.
`void`
SubActionBars.`addPropertyChangeListener(IPropertyChangeListener listener)`
Adds a property change listener.
`void`
IWorkbenchPart3.`removePartPropertyListener(IPropertyChangeListener listener)`
Remove a change listener from the arbitrary properties set.
`void`
IWorkbenchPartReference.`removePartPropertyListener(IPropertyChangeListener listener)`
Remove a listener for changes in the arbitrary properties set.
`void`
IWorkbenchPage.`removePropertyChangeListener(IPropertyChangeListener listener)`
Removes the property change listener.
`void`
IWorkingSetManager.`removePropertyChangeListener(IPropertyChangeListener listener)`
Removes the property change listener.
`void`
SubActionBars.`removePropertyChangeListener(IPropertyChangeListener listener)`
Removes the given property change listener.

## Uses of IPropertyChangeListener in org.eclipse.ui.actions

Constructors in org.eclipse.ui.actions with parameters of type IPropertyChangeListener
Modifier
Constructor
Description
``
`WorkingSetFilterActionGroup(Shell shell, IPropertyChangeListener workingSetUpdater)`
Creates a new instance of the receiver.

## Uses of IPropertyChangeListener in org.eclipse.ui.console

Classes in org.eclipse.ui.console that implement IPropertyChangeListener
Modifier and Type
Class
Description
`class`
`TextConsolePage`
A page for a text console.
Methods in org.eclipse.ui.console with parameters of type IPropertyChangeListener
Modifier and Type
Method
Description
`void`
AbstractConsole.`addPropertyChangeListener(IPropertyChangeListener listener)`
`void`
IConsole.`addPropertyChangeListener(IPropertyChangeListener listener)`
Adds a listener for changes to properties of this console.
`void`
AbstractConsole.`removePropertyChangeListener(IPropertyChangeListener listener)`
`void`
IConsole.`removePropertyChangeListener(IPropertyChangeListener listener)`
Removes the given property listener from this console page.

## Uses of IPropertyChangeListener in org.eclipse.ui.editors.text

Classes in org.eclipse.ui.editors.text that implement IPropertyChangeListener
Modifier and Type
Class
Description
`class`
`TextEditorPreferencePage`
Deprecated.
As of 2.1, fonts are managed by the workbench, no longer supported

## Uses of IPropertyChangeListener in org.eclipse.ui.navigator

Methods in org.eclipse.ui.navigator with parameters of type IPropertyChangeListener
Modifier and Type
Method
Description
`void`
IExtensionStateModel.`addPropertyChangeListener(IPropertyChangeListener aListener)`
`void`
IExtensionStateModel.`removePropertyChangeListener(IPropertyChangeListener aListener)`

## Uses of IPropertyChangeListener in org.eclipse.ui.part

Methods in org.eclipse.ui.part with parameters of type IPropertyChangeListener
Modifier and Type
Method
Description
`void`
WorkbenchPart.`addPartPropertyListener(IPropertyChangeListener listener)`
`void`
WorkbenchPart.`removePartPropertyListener(IPropertyChangeListener listener)`

## Uses of IPropertyChangeListener in org.eclipse.ui.preferences

Methods in org.eclipse.ui.preferences with parameters of type IPropertyChangeListener
Modifier and Type
Method
Description
`void`
ScopedPreferenceStore.`addPropertyChangeListener(IPropertyChangeListener listener)`
`void`
ScopedPreferenceStore.`removePropertyChangeListener(IPropertyChangeListener listener)`

## Uses of IPropertyChangeListener in org.eclipse.ui.services

Methods in org.eclipse.ui.services that return IPropertyChangeListener
Modifier and Type
Method
Description
`IPropertyChangeListener`
IEvaluationReference.`getListener()`
The property change listener associated with the evaluated expression.
Methods in org.eclipse.ui.services with parameters of type IPropertyChangeListener
Modifier and Type
Method
Description
`IEvaluationReference`
IEvaluationService.`addEvaluationListener(Expression expression, IPropertyChangeListener listener, String property)`
Add a listener that can be notified when the workbench application context causes the expression evaluation value to change.
`void`
IEvaluationService.`addServiceListener(IPropertyChangeListener listener)`
When a source change starts recalculating expressions the `IEvaluationService.PROP_NOTIFYING` property change is fired with the newValue=`Boolean.TRUE`.
`void`
IEvaluationService.`removeServiceListener(IPropertyChangeListener listener)`
Remove the listener for `IEvaluationService.PROP_NOTIFYING` property changes.

## Uses of IPropertyChangeListener in org.eclipse.ui.texteditor

Methods in org.eclipse.ui.texteditor with parameters of type IPropertyChangeListener
Modifier and Type
Method
Description
`void`
ChainedPreferenceStore.`addPropertyChangeListener(IPropertyChangeListener listener)`
`void`
TextNavigationAction.`addPropertyChangeListener(IPropertyChangeListener listener)`
`void`
ChainedPreferenceStore.`removePropertyChangeListener(IPropertyChangeListener listener)`
`void`
TextNavigationAction.`removePropertyChangeListener(IPropertyChangeListener listener)`

## Uses of IPropertyChangeListener in org.eclipse.ui.themes

Methods in org.eclipse.ui.themes with parameters of type IPropertyChangeListener
Modifier and Type
Method
Description
`void`
ITheme.`addPropertyChangeListener(IPropertyChangeListener listener)`
Adds a property listener to the theme.
`void`
IThemeManager.`addPropertyChangeListener(IPropertyChangeListener listener)`
Adds a property listener to the manager.
`void`
ITheme.`removePropertyChangeListener(IPropertyChangeListener listener)`
Removes a property listener from the theme.
`void`
IThemeManager.`removePropertyChangeListener(IPropertyChangeListener listener)`
Removes a property listener from the workbench.

## Uses of IPropertyChangeListener in org.eclipse.ui.views.framelist

Methods in org.eclipse.ui.views.framelist with parameters of type IPropertyChangeListener
Modifier and Type
Method
Description
`void`
FrameList.`addPropertyChangeListener(IPropertyChangeListener listener)`
Adds a property change listener.
`void`
FrameList.`removePropertyChangeListener(IPropertyChangeListener listener)`
Removes a property change listener.